Bug 1271960 - Storage Administration Guide - /media/
Storage Administration Guide - /media/
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Storage_Administration_Guide (Show other bugs)
7.1
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Milan Navratil
ecs-bugs
: Documentation, EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 03:40 EDT by Ben.Stanley
Modified: 2016-11-14 05:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-14 05:49:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben.Stanley 2015-10-15 03:40:11 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Storage_Administration_Guide/ch-filesystem.html#s2-filesystem-fsstnd

Section Number and Name: 
2.1.1.5. The /media/ Directory

Describe the issue: 
Hot-plugged automounted media is no longer mounted under /media/ .
Instead, it is mounted under
/var/run/media/${USER}/${FS-NAME}

Suggestions for improvement: 
Please provide the correct path for Hot-plugged automounted media.

Additional information:
Comment 3 Jana Heves 2015-11-04 12:04:42 EST
Hello Ben, 

Thank you very much for taking your time to report this issue.
Could you please review the changes? 

I've deleted the section "2.1.1.5. The /media/ Directory" as it is no longer valid.
I mentioned the /var/run/media/user in "2.1.1.12. The /var/ Directory", adding an admonition:

"The /var/run/media/user directory contains subdirectories used as mount points for removable media such as USB storage media, DVDs, CD-ROMs, and Zip disks. Note that previously, the /media/ directory was used for this purpose."

Link: http://jenkinscat.gsslab.pnq.redhat.com:8080/view/RHEL7/job/doc-Red_Hat_Enterprise_Linux-7-Storage_Administration_Guide%20%28html-single%29/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#s2-filesystem-fsstnd

commit 6cc918147cba2fc78ba7856afa7a9e1467c581e5

Changing status to ON_QA
Comment 4 Ben.Stanley 2015-11-16 18:03:40 EST
Sorry, I am unable to access the server

jenkinscat.gsslab.png.redhat.com

If you make it accessible externally to Red Hat, I will review it.

Ben Stanley.
Comment 5 Jana Heves 2015-11-25 08:26:31 EST
Hello Ben,

Sorry for the delay.
Here is a link to the publicly available version of the guide:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Storage_Administration_Guide/ch-filesystem.html#s2-filesystem-fsstnd

Thank you very much in advance for your comments,
jana
Comment 6 Ben.Stanley 2015-11-25 17:22:36 EST
Jana,

I see that the /media section is removed and that you have added comments about /var/run/media/user .
Thank you for that.

Please also review Section 2.1.1.5 on /mnt, which re-directs to the section on /media (which no longer exists).

I also see there is an admonishment that /mnt must not be used by installation programs. Why is that? Is it reserved for the personal use and convenience of the system administrator?

Thanks,
Ben Stanley.
Comment 9 Milan Navratil 2016-07-19 18:04:16 EDT
Hello Ben,

I've taken over the RHEL7 Storage Administration Guide.

> Please also review Section 2.1.1.5 on /mnt, which re-directs to the section
> on /media (which no longer exists).

This is in order now.

Sorry for taking so long to get back to you concerning your question:

> I also see there is an admonishment that /mnt must not be used by installation
> programs. Why is that? Is it reserved for the personal use and convenience of
> the system administrator?

The Linux filesystem standard available at http://refspecs.linuxfoundation.org/FHS_2.3/fhs-2.3.html says this:

~~~~~
/mnt : Mount point for a temporarily mounted filesystem
Purpose

This directory is provided so that the system administrator may temporarily mount a filesystem as needed. The content of this directory is a local issue and should not affect the manner in which any program is run.

This directory must not be used by installation programs: a suitable temporary directory not in use by the system must be used instead.
~~~~

I've checked with a subject matter experts who told me that, as it's a commonly used temporary mount-point, you would constantly run the risk of over-mounting your installations.

The /media section rationale provides further info:

~~~~~
Although the use of subdirectories in /mnt as a mount point has recently been common, it conflicts with a much older tradition of using /mnt directly as a temporary mount point.
~~~~~

The Filesystem Hierarchy Standard is distro-agnostic.

I'm switching the status to verified. If you have any further suggestions, feel free to leave another comment.

Thank you very much for reporting this bug and for your comments.
Comment 10 Milan Navratil 2016-11-14 05:49:33 EST
An updated version of the Red hat Enterprise Linux 7 Storage Administration Guide is now available on the Customer Portal:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Storage_Administration_Guide/index.html

Note You need to log in before you can comment on or make changes to this bug.